@echo off
REM  This batch file is for using QWKPRUNE with KingQWK.
REM
REM  Copy it to the directory where KingQWK is located.
REM
REM  Edit the "if exist" line. Replace [king_work] with the
REM  work directory defined in KingQWK's configuration.
REM
REM  In KingQWK's configuration, change your unpacker to
REM  "COMMAND /C KING" or "PARM KING" (without the quotes).  KingCfg 
REM  doesn't allow command lines to be very long, so there may not be 
REM  room to enter the name of your unpacker.  If there's not, enter 
REM  it directly in the batch file.
REM
pkunzip %1 %2 %3 %4 %5 %6 %7 %8 %9
if exist [king_work]\messages.dat qwkprune /m[king_work]
REM
REM  Note:  Versions of KingQWK prior to 1.05 will automatically
REM         re-archive MESSAGES.DAT if it's been changed, even if it
REM         wasn't changed by KingQWK. However, it won't re-archive
REM         changed .NDX files.  If you're using it, remove the REM 
REM         from the next two lines. If no parameters are being passed 
REM         from the configuration, %1 is the name of the QWK packet.
REM         Otherwise, add 1 to the number of parameters being passed
REM         to get the parameter number for the QWK packet's name.
REM
REM pkzip -d -k %1 *.ndx
REM pkzip -k %1 [king_work]\*.ndx
